Bug 261140 - FindKdcraw.cmake is installed both by kdelibs and kdegraphics
Summary: FindKdcraw.cmake is installed both by kdelibs and kdegraphics
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Portability-Cmake (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-24 13:27 UTC by Christoph Feck
Modified: 2022-01-31 16:33 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Feck 2010-12-24 13:27:54 UTC
Since a recent commit, the file "FindKdcraw.cmake" is installed both by kdelibs and kdegraphics, making it impossible to create packages.
Comment 1 caulier.gilles 2010-12-26 11:02:36 UTC
With rev. #1209275, i removed this file from KDElibs. find libkdcraw script will be installed with the library as well. 

Gilles Caulier
Comment 2 Christoph Feck 2010-12-26 14:28:47 UTC
Merci :) Not sure if we can just remove it from kdelibs, but Alexander knows.
Comment 3 Alexander Neundorf 2011-01-11 21:31:35 UTC
What has happened here ?
I can see FindKdcraw.cmake in kdelibs but not in kdegraphics.
This is how it should be IMO.

I'm still interested why you reverted the initial change, there is no hint here in this bug report ?

Alex
Comment 4 caulier.gilles 2011-01-12 08:58:18 UTC
Alex,

I receive this private mail from Christophe Giboudeaux <cgiboudeaux@gmail.com> :

// ---------------------------------------------------------------------

> On Sunday 26 December 2010 10:59:46 Gilles Caulier wrote:
> SVN commit 1209275 by cgilles:
>
> this file is now installed with libkdcraw as well.
>
>
>  M  +0 -1      CMakeLists.txt
>  D             FindKdcraw.cmake
>
>

Sorry but you deleted the wrong file. Please revert this commit and delete the
one in libkdcraw instead.

It doesn't make much sense for libkdcraw to install a cmake module supposed to
find itself. This was discussed a few times in the kde-buildsystem mailing
list.

The correct fix is:
- Delete FindKdcraw.cmake in kdegraphics,
- replace it with a KdcrawConfig.cmake file.

You can find some examples in several KDE apps (eg, Okular, Kdevplatform,
kdebase-workspace, kdepimlibs...) and you can ask for help on the kde-
buildsystem ML.

Christophe.

// ---------------------------------------------------------------------

Gilles Caulier